<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_overtime.png">Overtime</h2>
<div class="row justify-content-center">
    <div class="col-sm-6">
        <div class="card formFieldsBlock">
            <div class="col-sm-12">
                <form [formGroup]="overtime" (ngSubmit)="onSubmit()" #formEl="ngForm">
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Month</mat-label>
                                <mat-select formControlName="month" required>
                                    <mat-option value="January">January</mat-option>
                                    <mat-option value="February">February</mat-option>
                                    <mat-option value="March">March</mat-option>
                                    <mat-option value="April">April</mat-option>
                                    <mat-option value="May">May</mat-option>
                                    <mat-option value="June">June</mat-option>
                                    <mat-option value="July">July</mat-option>
                                    <mat-option value="August">August</mat-option>
                                    <mat-option value="September">September</mat-option>
                                    <mat-option value="October">October</mat-option>
                                    <mat-option value="November">November</mat-option>
                                    <mat-option value="December">December</mat-option>
                                  </mat-select>
                                <mat-error *ngIf="overtime.controls['month'].errors?.required &&
                  overtime.controls['month'].touched">
                                    Please Select Month.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Overtime Hours</mat-label>
                                <input matInput type="number" formControlName="overtime" required autocomplete="off"  />
                                <mat-error *ngIf="overtime.controls['overtime'].errors?.required &&
                  overtime.controls['overtime'].touched">
                                    Please Enter Overtime Hours.
                                </mat-error>
                            </mat-form-field>
                        </div>

                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Notes</mat-label>
                                <textarea matInput maxlength="150" formControlName="notes" required></textarea>
                                <mat-error *ngIf="overtime.controls['notes'].errors?.required &&
                  overtime.controls['notes'].touched">
                                    Please Enter Notes.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div> <br>
                    <div class="text-center">
                        <button mat-raised-button [disabled]="!overtime.valid" class="submit-btn"> Submit</button>
                        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
